//
//$Id: array2signal23.cc,v 1.2 2003/07/17 10:00:16 nj Exp $
//
#include "array2signal23.h"

//
// convert inputs to a single 23 bit signal
//
// sensitive << in0 << in1 << in2 << in3 << in4 << in5 << in6 << in7
// sensitive << in8 << in9 << in10 << in11 << in12 << in13 << in14 << in15
// sensitive << in16 << in17 << in18 << in19 << in20 << in21 << in22
void array2signal23::execute()
{
  sc_lv<23> v_out;

  v_out[0] = in0;
  v_out[1] = in1;
  v_out[2] = in2;
  v_out[3] = in3;
  v_out[4] = in4;
  v_out[5] = in5;
  v_out[6] = in6;
  v_out[7] = in7;
  v_out[8] = in8;
  v_out[9] = in9;
  v_out[10] = in10;
  v_out[11] = in11;
  v_out[12] = in12;
  v_out[13] = in13;
  v_out[14] = in14;
  v_out[15] = in15;
  v_out[16] = in16;
  v_out[17] = in17;
  v_out[18] = in18;
  v_out[19] = in19;
  v_out[20] = in20;
  v_out[21] = in21;
  v_out[22] = in22;

  // v_out = "00000000000000000000000";

  out = v_out;
}
