//
// $Id: io_adr_dec.cc,v 1.5 2003/07/07 16:37:02 nj Exp $
//
#include "io_adr_dec.h"

//
// MUX
//
//sensitive << adr << iore << dbusin_ext << spl_out << sph_out << sreg_out << rampz_out;
void io_adr_dec::execute()
{
  sc_lv<6> ladr = adr.read();

  if (iore == 1)
    {
      if (ladr == SPL_Address)
	dbusin_int = spl_out;
      else if (ladr == SPH_Address)
	dbusin_int = sph_out;
      else if (ladr == SREG_Address)
	dbusin_int = sreg_out;
      else if (ladr == RAMPZ_Address)
	dbusin_int = rampz_out;
      else
	{ 
	  dbusin_int = dbusin_ext;
	  /*
	  cout << "1io_adr_dec::execute()" << endl;
	  cout << "dbusin_ext = " << dbusin_ext.read() << endl;
	  */
	}
    }
  else
    {
      dbusin_int = dbusin_ext;
      /*
      cout << "2io_adr_dec::execute()" << endl;
      cout << "dbusin_ext = " << dbusin_ext.read() << endl;
      */
    }
}
