//
// $Id: oneshot.h,v 1.2 2003/10/06 19:39:00 nj Exp $
//
#ifndef _ONESHOT_H
#define _ONESHOT_H

#include <systemc.h>
#include <stdio.h>

SC_MODULE(oneshot) 
{
  sc_out<bool> reset;
  sc_in<bool> clk;

  int i;

  void execute();

  SC_CTOR(oneshot)
    {
      i = 0;
      SC_METHOD(execute);
      sensitive_pos << clk;
    }
};

#endif
