//
// $Id: ramdatareg.h,v 1.2 2003/06/10 10:42:06 nj Exp $
//
#ifndef _RAMDATAREG_H
#define _RAMDATAREG_H
#include <systemc.h>
#include "config.h"

SC_MODULE(ramdatareg)
{
  sc_in<bool> ireset;
  sc_in<bool> cp2;

  sc_in<sc_logic> cpuwait;
  sc_in<sc_lv<8> > ramdatain;
  sc_out<sc_lv<8> > ramdataout;

  void execute();

  SC_CTOR(ramdatareg)
  {
    SC_METHOD(execute);
    sensitive_pos << cp2;
  }
};

#endif
