//! Memory model for 5-stage version of MIPS
//
// $Id: instmemory.cc,v 1.2 2003/07/03 15:54:46 nj Exp $
//

#include "instmemory.h"

//! Bla bla..
//
// Get the memory module @ memaddr
// Output to memdata...
//
void instmemory::mread()
{
  if ((unsigned int)pc.read() < INSTMEMSIZE)
    {
      inst = x[(unsigned int)pc.read()];
      /*
	cout << "instmemory::mread()" << endl;
	cout << "x[" << pc.read() << "]" << " = " << x[(unsigned int)pc.read()] << endl;
      */
    }
}

//
// For testing...
//
/*
int sc_main (int argc , char *argv[])
{

  // Signals for test
  sc_signal<sc_logic> memreq;
  sc_signal<sc_logic> memrw;
  sc_signal<sc_int<32> > memaddr;
  sc_signal_rv<32> memdata;
  sc_signal<sc_logic> memhold;

  // Declare the memory
  memory1 *memtest;
  memtest = new memory1("blabla", argv[1]);
  // memtest->contents = argv[1];
  memtest->memaddr(memaddr);
  memtest->memdata(memdata);
  memtest->memhold(memhold);
  memtest->memreq(memreq);
  memtest->memrw(memrw);

  // Start testing
  sc_initialize();
  memrw = sc_logic_0;
  memreq = sc_logic_1;
  // memdata = "ZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZ";

  memaddr = "00000000000000000000000000000001";
  cout << "Memory set to 1" << endl;
  sc_cycle(10);
  cout << "Memdata : " << memdata << endl;

  memaddr = "00000000000000000000000000000003";
  cout << "Memory set to 3" << endl;
  sc_cycle(10);
  cout << "Memdata : " << memdata << endl;

  return 0;
}
*/
