/*
  File info:
  $Id: make-vhdl.sh,v 1.1 2003/11/05 16:16:59 nj Exp $
*/
/* Globals */
company = "IMM, DTU" ;
designer = "Nicolai A. Jrgensen";

/* bc_enable_analysis_info = "true" */

view_background   = "black";
target_library    = {"tc6a_cbacore.db"};
synthetic_library = {"dw01.sldb","dw02.sldb"}
link_library      = {"*"} + target_library + synthetic_library

define_design_lib WORK -path ./WORK

sh date

read dw01.sldb
read dw02.sldb
read standard.sldb

/* Convert to VHDL */
compile_systemc -rtl alu_avr.cc -rtl_format vhdl
compile_systemc -rtl avr_core.cc -rtl_format vhdl
compile_systemc -rtl bit_processor.cc -rtl_format vhdl
compile_systemc -rtl io_adr_dec.cc -rtl_format vhdl
compile_systemc -rtl io_reg_file.cc -rtl_format vhdl
compile_systemc -rtl pm_fetch_dec.cc -verbose -rtl_format vhdl
compile_systemc -rtl reg_file.cc -rtl_format vhdl

/* Modules outside the CPU */
compile_systemc -rtl nj_mux.cc -rtl_format vhdl
compile_systemc -rtl timer_counter.cc -rtl_format vhdl
compile_systemc -rtl service_module.cc -rtl_format vhdl
compile_systemc -rtl sleep_generator.cc -rtl_format vhdl
compile_systemc -rtl array2signal23.cc -rtl_format vhdl
compile_systemc -rtl irq_onehot.cc -rtl_format vhdl
compile_systemc -rtl irq_io_module.cc -rtl_format vhdl

exit
